Kyoto Cabinet

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- i
- l
- m
- n
- o
- r
- s
- t
- w
- x

### - a -

- ABORTTRAN : kyotocabinet::BasicDB::MetaTrigger

### - b -

- BEGINTRAN : kyotocabinet::BasicDB::MetaTrigger
- BROKEN : kyotocabinet::BasicDB::Error

### - c -

- CLEAR : kyotocabinet::BasicDB::MetaTrigger
- CLOSE : kyotocabinet::BasicDB::MetaTrigger
- COMMITTRAN : kyotocabinet::BasicDB::MetaTrigger
- CRC : kyotocabinet::LZO , kyotocabinet::LZMA

### - d -

- DEBUG : kyotocabinet::BasicDB::Logger
- DEFLATE : kyotocabinet::ZLIB
- DUPREC : kyotocabinet::BasicDB::Error

### - e -

- ERROR : kyotocabinet::BasicDB::Logger
- ERRORCHECK : kyotocabinet::Mutex

### - f -

- FAST : kyotocabinet::Mutex
- FFATAL : kyotocabinet::CacheDB , kyotocabinet::HashDB , kyotocabinet::PlantDB< BASEDB, DBTYPE > , kyotocabinet::DirDB
- FOPEN : kyotocabinet::HashDB , kyotocabinet::PlantDB< BASEDB, DBTYPE > , kyotocabinet::CacheDB , kyotocabinet::DirDB

### - g -

- GZIP : kyotocabinet::ZLIB

### - i -

- IGNCASE : kyotocabinet::Regex
- INFO : kyotocabinet::BasicDB::Logger
- INVALID : kyotocabinet::BasicDB::Error
- ITERATE : kyotocabinet::BasicDB::MetaTrigger

### - l -

- LOGIC : kyotocabinet::BasicDB::Error

### - m -

- MADD : kyotocabinet::PolyDB
- MAPPEND : kyotocabinet::PolyDB
- MATCHONLY : kyotocabinet::Regex
- MCURRENT : kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >
- MFIRST : kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >
- MISC : kyotocabinet::BasicDB::MetaTrigger , kyotocabinet::BasicDB::Error
- MLAST : kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >
- MREPLACE : kyotocabinet::PolyDB
- MSET : kyotocabinet::PolyDB

### - n -

- NOIMPL : kyotocabinet::BasicDB::Error
- NOPERM : kyotocabinet::BasicDB::Error
- NOREC : kyotocabinet::BasicDB::Error
- NOREPOS : kyotocabinet::BasicDB::Error

### - o -

- OAUTOSYNC : kyotocabinet::BasicDB
- OAUTOTRAN : kyotocabinet::BasicDB
- OCCUPY : kyotocabinet::BasicDB::MetaTrigger
- OCREATE : kyotocabinet::BasicDB , kyotocabinet::File
- ONOLOCK : kyotocabinet::BasicDB , kyotocabinet::File
- ONOREPAIR : kyotocabinet::BasicDB
- OPEN : kyotocabinet::BasicDB::MetaTrigger
- OREADER : kyotocabinet::File , kyotocabinet::BasicDB
- OTRUNCATE : kyotocabinet::File , kyotocabinet::BasicDB
- OTRYLOCK : kyotocabinet::BasicDB , kyotocabinet::File
- OWRITER : kyotocabinet::BasicDB , kyotocabinet::File

### - r -

- RAW : kyotocabinet::ZLIB , kyotocabinet::LZO , kyotocabinet::LZMA
- RECURSIVE : kyotocabinet::Mutex

### - s -

- SHA : kyotocabinet::LZMA
- SUCCESS : kyotocabinet::BasicDB::Error
- SYNCHRONIZE : kyotocabinet::BasicDB::MetaTrigger
- SYSTEM : kyotocabinet::BasicDB::Error

### - t -

- TCOMPRESS : kyotocabinet::CacheDB , kyotocabinet::DirDB , kyotocabinet::PlantDB< BASEDB, DBTYPE > , kyotocabinet::HashDB
- TLINEAR : kyotocabinet::PlantDB< BASEDB, DBTYPE > , kyotocabinet::CacheDB , kyotocabinet::DirDB , kyotocabinet::HashDB
- TSMALL : kyotocabinet::CacheDB , kyotocabinet::DirDB , kyotocabinet::HashDB , kyotocabinet::PlantDB< BASEDB, DBTYPE >
- TYPECACHE : kyotocabinet::BasicDB
- TYPEDIR : kyotocabinet::BasicDB
- TYPEFOREST : kyotocabinet::BasicDB
- TYPEGRASS : kyotocabinet::BasicDB
- TYPEHASH : kyotocabinet::BasicDB
- TYPEMISC : kyotocabinet::BasicDB
- TYPEPHASH : kyotocabinet::BasicDB
- TYPEPTREE : kyotocabinet::BasicDB
- TYPESTASH : kyotocabinet::BasicDB
- TYPETEXT : kyotocabinet::BasicDB
- TYPETREE : kyotocabinet::BasicDB
- TYPEVOID : kyotocabinet::BasicDB

### - w -

- WARN : kyotocabinet::BasicDB::Logger

### - x -

- XNOCOMP : kyotocabinet::MapReduce
- XNOLOCK : kyotocabinet::MapReduce
- XPARAFLS : kyotocabinet::MapReduce
- XPARAMAP : kyotocabinet::MapReduce
- XPARARED : kyotocabinet::MapReduce